## cascading.flow.local.planner
Class LocalStepGraph

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<FlowStep<Config>,Integer>
                  cascading.flow.planner.FlowStepGraph
                      cascading.flow.local.planner.LocalStepGraph

All Implemented Interfaces:
  Serializable, Cloneable, org.jgrapht.DirectedGraph, org.jgrapht.Graph

    public class LocalStepGraph

extends FlowStepGraph

See Also:
  Serialized Form

Constructor Summary
`LocalStepGraph(String flowName, ElementGraph elementGraph)`

Method Summary
`protected FlowStep` `createFlowStep(String stepName, int stepNum)`
`protected void` `makeStepGraph(String flowName, ElementGraph elementGraph)`

Methods inherited from class cascading.flow.planner.FlowStepGraph
`getCreateFlowStep, getTopologicalIterator, pathContainsTap, printElementGraph, writeDOT`

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### LocalStepGraph

    public LocalStepGraph(String flowName,
                          ElementGraph elementGraph)

Method Detail

### createFlowStep

    protected FlowStep createFlowStep(String stepName,
                                      int stepNum)

  Specified by:
    `createFlowStep` in class `FlowStepGraph`

### makeStepGraph

    protected void makeStepGraph(String flowName,
                                 ElementGraph elementGraph)

  Specified by:
    `makeStepGraph` in class `FlowStepGraph`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.